LINUX.ORG.RU

Ваши ощущения от OpenSUSE Tumbleweed

 , , ,


0

2

Хочу в ближайшее время поставить Linux на свой комп. Остановился на OpenSUSE (естественно, с KDE), но версию 12.2 ставить уже поздно (через месяц геморроиться с обновлением), а 12.3 - еще рано.
Вспомнил вот, что у OpenSUSE есть Rolling Release, и хочу узнать у реальных пользователей, как оно. Главные вопросы:

  1. Как со стабильностью?
  2. Какая там сейчас версия кед?
  3. Много ли пакетов собрано? Особенно интересуют проприетарные - Skype и драйверы nVidia (фанатиков просьба не беспокоиться)
  4. Не лучше ли поставить 12.3-RC1? Или 12.2?

Спасибо

★★★★

Какая там сейчас версия кед?

KDE можно обновлять отдельно.

dinn ★★★★★ ()

Насколько я понимаю, нужен не Thumbleweed а Factory. Я могу ошибаться, но если использовать Factory то в день релиза openSUSE 12.3 у тебя будет максимально совместимая с ним система. А если использовать Thumbleweed, то система будет не совместимая, но стабильно работать.

Скайп и драйвер NVIDIA поддерживаются разработчиком, пакеты для openSUSE есть здесь: ftp://download.nvidia.com/opensuse http://www.skype.com/en/download-skype/skype-for-linux/downloading/?type=suse32

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от ZenitharChampion

если использовать Factory то в день релиза openSUSE 12.3 у тебя будет максимально совместимая с ним система

Нет.

драйвер NVIDIA поддерживаются разработчиком

Нет.

dinn ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Для скачки доступна версия 12.3-RC1, может лучше ее поставить? Она обновится до нормальной 12.3, и у меня будет свежая стабильная система

alix ★★★★ ()
Ответ на: комментарий от alix

Для скачки доступна версия 12.3-RC1, может лучше ее поставить?

Лучше дождаться RC2, в RC1 есть некоторые косметические проблемы.

dinn ★★★★★ ()

Как со стабильностью?

по моему опыту не все гладко. Лучше использовать релиз, а всё что хочется самое свежее устанавливать из реп с обс. самое главное не подключать репы из разряда home:vasya_ebanko/my1stPack и думать головой когда делаешь zypper dup

Какая там сейчас версия кед?

любая. в 12.2 по умолчанию 4.8.x но ничто не мешает подключить репо с обс и обновится(у меня например сейчас на 12.2 кеды 4.10)

oxapentane ()

но версию 12.2 ставить уже поздно (через месяц геморроиться с обновлением), а 12.3 - еще рано.

немного не в тему, но- зачем обновляться при выходе новой версии? ведь предыдущая как раз наиболее допилена.

pyometra ★★★★★ ()
Ответ на: комментарий от oxapentane

у меня например сейчас на 12.2 кеды 4.10

проблем с приложениями не наблюдалось при повышении версии кед? особенно интересует kdenlive, если пользуетесь.

pyometra ★★★★★ ()

Поставь пока 12.2 Попользуйся, поэкспериментируй, а чуть что скоро релиз же, обновишься.

HunOL ★★★★ ()
Ответ на: комментарий от pyometra

Хочу попробовать новое KDE SC. А вообще хорошая мысль. Тем более в совокупности с репликой предыдущего оратора. Зачем мне 12.3, если я могу получить свежие версии интересного мне софта на 12.2. А версия ядра и других системных пакетов мне не так и важна. Пока лучший вариант - 12.2 с KDE 4.10 из OBS

alix ★★★★ ()
Ответ на: комментарий от alix

Хочу попробовать новое KDE SC. А вообще хорошая мысль. Тем более в совокупности с репликой предыдущего оратора. Зачем мне 12.3, если я могу получить свежие версии интересного мне софта на 12.2. А версия ядра и других системных пакетов мне не так и важна. Пока лучший вариант - 12.2 с KDE 4.10 из OBS

вот и я о том же. OBS даёт широкие возможности использовать новый софт, не расшатывая стабильность системы.

pyometra ★★★★★ ()
Ответ на: комментарий от pyometra

проблем с приложениями не наблюдалось при повышении версии кед? особенно интересует kdenlive, если пользуетесь.

Проблем не было. На счет kdenlive не подскажу.

Использовал репозитории:

http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE...

http://download.opensuse.org/repositories/KDE:/Release:/410/openSUSE_12.2/

oxapentane ()
Ответ на: комментарий от oxapentane

спасибо. хочется пощупать 4.10, но стремно- если крякнет kdenlive или mypaint будет очень неприятно. на 12.1 как-то столкнулся.

pyometra ★★★★★ ()
Ответ на: комментарий от pyometra

Странно, обычно в KDE:Release:4.x.x уже все стабильно. У меня поломался kate один раз(при обновлении 4.8->4.9), но все вылечилось с помощью --from=kde4.9 (kate почему то остался из opensuse-update)

oxapentane ()
Ответ на: комментарий от oxapentane

у меня получилось как бы наоборот- нужно было обновить kdenlive, а он нуждался в кедах новее (в части kde, но я заодно решил и поновее пощупать)- и завертелось. не могу тут на сайте тему ту сою найти, но там и я тупил, конечно нещадно. тем не менее- после того случая опасаюсь обновлять кеды.

pyometra ★★★★★ ()
Ответ на: комментарий от dinn

kdenlive последний раз ломался от новой версии ffmpeg, а это от версии openSUSE не зависит.

тот случай раньше был, чем поломка от ffmpeg

там у меня были проблемы с русской локалью, в результате чего кириллица не понималась программой в именах файлов.

вот kdenlive падает и дальше меня понесло :)

pyometra ★★★★★ ()

Остановился на OpenSUSE

Зря. Debian (Xubuntu/Lubuntu) с Xfce/GNOME2/MATE чем не устроили?

естественно, с KDE

В чём эта естественность заключается? Вменяемых KDE-приложений раз-два и обчёлся, или тебе для красоты?

amorpher ★★★★★ ()
Ответ на: комментарий от dinn

Раньше kdenlive и падает были вообще синонимами, так что ничего удивительного.

осадочек до сих пор (тогда горели проекты и нервы), хотя теперь падает пореже. но для меня это одна из трех программ, без которых компьютер бесполезен.

pyometra ★★★★★ ()
Ответ на: комментарий от dinn

Кстати, в OBS можно без проблем собрать новую версию kdenlive для старой версии KDE

я его (OBS) ещё не щупал. но, думаю, уже пора освоить.

pyometra ★★★★★ ()
Ответ на: комментарий от dinn

>> драйвер NVIDIA поддерживаются разработчиком

> Нет.

Тем не менее, в документации до сих пор есть информация о дополнительной настройке драйвера после его установки в openSUSE.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от alix

Моё мнение - если ты хочешь тестировать, установи 12.3-RC1. Если ты хочешь работать в прикладных приложениях и пользоваться системой, то 12.2, а потом обновить. Проблем быть не должно, так как в openSUSE такое обновление практикуется более 10 лет.

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от dinn

Для kdenlive это несколько нажатий в веб-интерфейсе.

я заинтригован. пошел осваивать OBS. если это так, то это сэкономит мне миллион связей дендрит-дендрит.

спасибо.

pyometra ★★★★★ ()
Ответ на: комментарий от ZenitharChampion

Вроде нет, сторонников sysVinit хватило только на создание шума в рассылке factory, coolo недавно писал, что они так к нему и не обратились по поводу репозитория.

dinn ★★★★★ ()
Ответ на: комментарий от HunOL

лучше

В смысле фич больше, как я понял? Так в перечисленных приложениях они почти никому не нужны (Okular, Dolphin, clementine/amarok) кроме кедеешников, а остальные (kate, kile) есть и на GTK аналоги не хуже, да и их без KDE поставить можно, если так захочется. В том-то и вся суть KDE4 — 6 (шесть) лет прошло и ничего толком не работает.

amorpher ★★★★★ ()
Ответ на: комментарий от HunOL

Конечно, то-то я ещё со 2-й версии их юзал, пока 4-я не появилась (и 4-ю приходиться использовать периодически).

//да и приведённые приложения и есть «раз-два и обчёлся», вот kdenlive лучше бы привёл

amorpher ★★★★★ ()

Вспомнил вот, что у OpenSUSE есть Rolling Release, и хочу узнать у реальных пользователей, как оно.

как говно, оно периодически - пишет смена потсавщика пакетов и ставить полвину кед из то Tumbleweed то из обновлений 12.2, похоже эти чудаки не знают что такое Rolling Release

Deleted ()
Ответ на: комментарий от HunOL

тогда обновления толком не будет, и какбы сама суть когда в rolling release теже пакеты что и в 12.2 - уже странно, еще страннее что они там иногда древнее

Deleted ()

Подключал tumbleweed - обновилась пара мелких пакетов и все. Изменений не заметил.

bsdfun ★★★★★ ()
Ответ на: комментарий от Deleted

Тогда тебе в фактори если хочется иметь самое самое свежее. А в Tumbleewed вполне себе стабильное и свежее.

HunOL ★★★★ ()
Ответ на: комментарий от Deleted

Тогда я не знаю что тебе. Сейчас в Tumbleewed ядро 3.7.6, ЛО 3.6.3, можно 4 поставить, кеды 4.9.5. Думаю другой софт не тухлее. Что ещё надо тогда?

HunOL ★★★★ ()
Ответ на: комментарий от amorpher

Зря. Debian (Xubuntu/Lubuntu) с Xfce/GNOME2/MATE чем не устроили?

GNOME2/MATE просто не нравятся, а в Xfce WM не очень.

В чём эта естественность заключается?

Это для OpenSUSE первичное DE, только в этом.

alix ★★★★ ()
Ответ на: комментарий от alix

Xfce WM не очень.

Никто не запрещает поставить, например, сompiz. Я так сделал.

amorpher ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.